* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    font-family: 'Lato', sans-serif;
    font-size: 16px;
    color: rgba(0, 0, 0, .8);
    background-color: #f0effa;
}

.page_container {
    width: 100%;
    max-width: 1100px;
    margin: 0 auto;
}

/*TABLE*/
.table-header__wrapper {
    padding-right: 15px;
}
.table-body__wrapper {
    height: 100%;
    overflow-y: scroll;
}
table {
    border-collapse: collapse;
    width: 100%;
    table-layout: fixed;
}
th, td {
    text-align: left;
}
th {
    padding: 1rem 1.5rem;
    border-bottom: 1px solid gainsboro;
}
td {
    padding: 1rem 1.5rem;
}
th.action,
td.action {
    text-align: center;
}

tr:nth-child(even) {
    background-color: whitesmoke;
}


/*BUTTON*/
.btn {
    background-color: slateblue;
    border: none;
    padding: .5rem 1rem;
    color: white;
    font-weight: 700;
    cursor: pointer;
    text-decoration: none;
    text-align: center;
}
.btn:hover {
    background-color: mediumslateblue;
}
.btn:active {
    background-color: darkslateblue;
}
.btn-warning {
    background-color: #ffa500;
}
.btn-warning:hover {
    background-color: #ffae1a;
}
.btn-warning:active {
    background-color: #e69500;
}
.btn-danger {
    background-color: #ff0000;
}
.btn-danger:hover {
    background-color: #ff1a1a;
}
.btn-danger:active {
    background-color: #e60000;
}
.btn-white {
    background-color: white;
    color: slateblue;
}
.btn-white:hover {
    background-color: white;
}
.btn-white:active {
    background-color: whitesmoke;
}
.btn-green {
    background-color: #32cd32;
}
.btn-green:hover {
    background-color: #47d247;
}
.btn-green:active {
    background-color: #2db92d;
}
.btn-icon {
    font-size: .7rem;
    padding: .5rem;
}

/*CARD*/
.card {
    border: 1px solid lightgray;
    background-color: white;
    max-height: 600px;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
}
.card.card-center {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 100vh;
    /*width: 100vw;*/
    max-width: 1100px;
}
.card-header {
    background-color: slateblue;
    padding: 1rem 1.5rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.card-header h1 {
    color: white;
    font-weight: 900;
}
.card-body {
    padding: 1rem;
    display: flex;
    flex-direction: column;
}
.card.card-center .card-body {
    height: calc(100% - 71px);
}

/*FORM*/
.form__wrapper {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 1.5rem;
}
.form__input {
    display: flex;
    flex-direction: column;
}
.form__input label {
    text-transform: uppercase;
    display: block;
    margin-bottom: .5rem;
    font-weight: 700;
}
.form__input input {
    padding: .5rem 1rem;
    font-size: 1rem;
    outline: none;
    border: 1px solid gainsboro;
}
.form__input select {
    padding: .5rem 1rem;
    font-size: 1rem;
    outline: none;
    border: 1px solid gainsboro;
}

/*LAYOUT*/
.flex { display: flex }
.flex .col-6 { width: 50% }

.p-4 { padding: 1rem }
.p-12 { padding: 3rem }